Market Domain Administration
6 API calls in this section.
List Market Domains
/system/storefront/market-domainsReturns paginated custom domain records for the system storefront hosting page.
Query parameters
| Parameter | Type | Description |
|---|---|---|
page | string | Example: |
limit | string | Example: |
status | string |
|
search | string | Search by custom domain, market slug/name, or tenant name |
Headers
| Parameter | Type | Description |
|---|---|---|
Authorization | string | Example: |
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/system/storefront/market-domains?page=1&limit=20&status=&search=" \2 --header "Authorization: Bearer ${ONDI_ACCESS_TOKEN}"Response examples
1{2 "success": true,3 "message": "market_custom_domains_retrieved_successfully",4 "data": {5 "items": [6 {7 "id": "domain-uuid",8 "market_id": "market-uuid",9 "tenant_id": "tenant-uuid",10 "custom_domain": "shop.example.com",11 "status": "active",12 "dns_verified_at": "2026-03-27T12:30:00Z",13 "market": {14 "id": "market-uuid",15 "slug": "my-store",16 "store_name": {17 "en": "My Store"18 }19 },20 "tenant": {21 "id": "tenant-uuid",22 "name": {23 "en": "Tenant One"24 }25 }26 }27 ],28 "pagination": {29 "page": 1,30 "limit": 20,31 "total": 1,32 "totalPages": 133 }34 }35}List Available Markets For Domain Connection
/system/storefront/market-domains/available-marketsLists markets that do not currently have an active or pending custom domain.
Query parameters
| Parameter | Type | Description |
|---|---|---|
searchOptional | string | Optional market slug or store name search |
Headers
| Parameter | Type | Description |
|---|---|---|
Authorization | string | Example: |
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/system/storefront/market-domains/available-markets?search=" \2 --header "Authorization: Bearer ${ONDI_ACCESS_TOKEN}"Response examples
1{2 "success": true,3 "message": "markets_retrieved_successfully",4 "data": {5 "markets": [6 {7 "id": "market-uuid",8 "tenant_id": "tenant-uuid",9 "slug": "my-store",10 "store_name": {11 "en": "My Store"12 }13 }14 ]15 }16}Get Market Domain
/system/storefront/market-uuid/custom-domainReturns the currently connected custom domain for the selected market.
Headers
| Parameter | Type | Description |
|---|---|---|
Authorization | string | Example: |
1curl --globoff --request GET "https://staging-api.ondi.io/functions/v1/system/storefront/market-uuid/custom-domain" \2 --header "Authorization: Bearer ${ONDI_ACCESS_TOKEN}"Response examples
1{2 "success": true,3 "message": "market_custom_domain_retrieved_successfully",4 "data": {5 "custom_domain": {6 "id": "domain-uuid",7 "market_id": "market-uuid",8 "tenant_id": "tenant-uuid",9 "custom_domain": "shop.example.com",10 "status": "pending_dns"11 }12 }13}Connect Market Domain
/system/storefront/market-uuid/custom-domain/connectConnects a custom domain to the selected market from the system admin hosting page.
Headers
| Parameter | Type | Description |
|---|---|---|
Authorization | string | Example: |
Content-Type | string | Example: |
Body parameters
| Parameter | Type | Description |
|---|---|---|
custom_domain | string | — |
1curl --globoff --request POST "https://staging-api.ondi.io/functions/v1/system/storefront/market-uuid/custom-domain/connect" \2 --header "Authorization: Bearer ${ONDI_ACCESS_TOKEN}" \3 --header "Content-Type: application/json" \4 --data-raw '{5 "custom_domain": "shop.example.com"6}'Response examples
1{2 "success": true,3 "message": "market_custom_domain_connected_successfully",4 "data": {5 "custom_domain": {6 "id": "domain-uuid",7 "market_id": "market-uuid",8 "tenant_id": "tenant-uuid",9 "custom_domain": "shop.example.com",10 "status": "pending_dns"11 }12 }13}Verify Market Domain
/system/storefront/market-uuid/custom-domain/verifyRe-checks Vercel/DNS verification for the selected market's custom domain.
Headers
| Parameter | Type | Description |
|---|---|---|
Authorization | string | Example: |
1curl --globoff --request POST "https://staging-api.ondi.io/functions/v1/system/storefront/market-uuid/custom-domain/verify" \2 --header "Authorization: Bearer ${ONDI_ACCESS_TOKEN}"Response examples
1{2 "success": true,3 "message": "market_custom_domain_verified_successfully",4 "data": {5 "verified": true,6 "custom_domain": {7 "id": "domain-uuid",8 "custom_domain": "shop.example.com",9 "status": "active",10 "dns_verified_at": "2026-03-27T12:30:00Z"11 }12 }13}Disconnect Market Domain
/system/storefront/market-uuid/custom-domainDisconnects the currently connected custom domain for the selected market.
Headers
| Parameter | Type | Description |
|---|---|---|
Authorization | string | Example: |
1curl --globoff --request DELETE "https://staging-api.ondi.io/functions/v1/system/storefront/market-uuid/custom-domain" \2 --header "Authorization: Bearer ${ONDI_ACCESS_TOKEN}"Response examples
1{2 "success": true,3 "message": "market_custom_domain_disconnected_successfully",4 "data": {5 "custom_domain": {6 "id": "domain-uuid",7 "custom_domain": "shop.example.com",8 "status": "archived",9 "disconnected_at": "2026-03-27T12:45:00Z"10 }11 }12}